Package org.jboss.resteasy.plugins.providers.multipart

## Class OutputPart

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.multipart.OutputPart

-     public class OutputPart
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OutputPart​(Object entity, Class<?> type, Type genericType, javax.ws.rs.core.MediaType mediaType)` |
    `OutputPart​(Object entity, Class<?> type, Type genericType, javax.ws.rs.core.MediaType mediaType, String filename)` |
    `OutputPart​(Object entity, Class<?> type, Type genericType, javax.ws.rs.core.MediaType mediaType, String filename, boolean utf8Encode)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Object` | `getEntity()` |
    `String` | `getFilename()` |
    `Type` | `getGenericType()` |
    `javax.ws.rs.core.MultivaluedMap<String,​Object>` | `getHeaders()` |
    `javax.ws.rs.core.MediaType` | `getMediaType()` |
    `Class<?>` | `getType()` |
    `boolean` | `isUtf8Encode()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OutputPart

          public OutputPart​(Object entity,
                            Class<?> type,
                            Type genericType,
                            javax.ws.rs.core.MediaType mediaType)

    - #### OutputPart

          public OutputPart​(Object entity,
                            Class<?> type,
                            Type genericType,
                            javax.ws.rs.core.MediaType mediaType,
                            String filename)

    - #### OutputPart

          public OutputPart​(Object entity,
                            Class<?> type,
                            Type genericType,
                            javax.ws.rs.core.MediaType mediaType,
                            String filename,
                            boolean utf8Encode)

  - ### Method Detail

    - #### getHeaders

          public javax.ws.rs.core.MultivaluedMap<String,​Object> getHeaders()

    - #### getEntity

          public Object getEntity()

    - #### getType

          public Class<?> getType()

    - #### getGenericType

          public Type getGenericType()

    - #### getMediaType

          public javax.ws.rs.core.MediaType getMediaType()

    - #### getFilename

          public String getFilename()

    - #### isUtf8Encode

          public boolean isUtf8Encode()